Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#4154 Active Now Section using Fedora 17

1.600
closed-fixed
Jamie Cameron
5
2012-10-15
2012-10-04
Mark C
No

I have done a fresh install of Fedora 17 and Webmin 1.600(Have tried 1.590 as well), I am able to configure networking so it shows correctly on the 'Activated at Boot' Tab in the network interfaces but when I click to apply network configuration or restart the machine, it applies the IP address fine but the 'Active Now' Tab says 'No address configured' and that the interface is down but when i do a ifconfig in terminal it show the IP address as the 'Activated at Boot' Tab shows. So I don't think its picking them up correctly, but the 'Active Now' Tab is fine in Fedora 16.

Discussion

  • Jamie Cameron
    Jamie Cameron
    2012-10-04

    Could you post the output of "ifconfig -a" to this bug?

     
  • Mark C
    Mark C
    2012-10-08

    # ifconfig -a
    em1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST> mtu 1500
    inet 192.168.0.183 netmask 255.255.255.0 broadcast 192.168.0.255
    inet6 fe80::21d:9ff:feef:3bc0 prefixlen 64 scopeid 0x20<link>
    ether 00:1d:09:ef:3b:c0 txqueuelen 1000 (Ethernet)
    RX packets 2716632574 bytes 3785367512974 (3.4 TiB)
    RX errors 0 dropped 40002800 overruns 0 frame 37
    TX packets 1527796459 bytes 1102709505846 (1.0 TiB)
    TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0
    device interrupt 16

    lo: flags=73<UP,LOOPBACK,RUNNING> mtu 16436
    inet 127.0.0.1 netmask 255.0.0.0
    inet6 ::1 prefixlen 128 scopeid 0x10<host>
    loop txqueuelen 0 (Local Loopback)
    RX packets 140682534 bytes 347283895805 (323.4 GiB)
    RX errors 0 dropped 0 overruns 0 frame 0
    TX packets 140682534 bytes 347283895805 (323.4 GiB)
    TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0

    p2p1: flags=4098<BROADCAST,MULTICAST> mtu 1500
    ether 00:10:18:31:7d:b9 txqueuelen 1000 (Ethernet)
    RX packets 0 bytes 0 (0.0 B)
    RX errors 0 dropped 0 overruns 0 frame 0
    TX packets 0 bytes 0 (0.0 B)
    TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0
    device interrupt 17

    virbr0: flags=4099<UP,BROADCAST,MULTICAST> mtu 1500
    inet 192.168.122.1 netmask 255.255.255.0 broadcast 192.168.122.255
    ether 52:54:00:61:ec:4e txqueuelen 0 (Ethernet)
    RX packets 0 bytes 0 (0.0 B)
    RX errors 0 dropped 0 overruns 0 frame 0
    TX packets 0 bytes 0 (0.0 B)
    TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0

    virbr0-nic: flags=4098<BROADCAST,MULTICAST> mtu 1500
    ether 52:54:00:61:ec:4e txqueuelen 500 (Ethernet)
    RX packets 0 bytes 0 (0.0 B)
    RX errors 0 dropped 0 overruns 0 frame 0
    TX packets 0 bytes 0 (0.0 B)
    TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0

     
  • Jamie Cameron
    Jamie Cameron
    2012-10-08

    Is this a virtual machine, or a real system?

    Also, which specific interface is the IP address not shown for on the Active Interfaces tab?

     
  • Mark C
    Mark C
    2012-10-08

    Hi
    Its a real system, I've attached screenshots of both the tabs for you

     
  • Mark C
    Mark C
    2012-10-08

    Active at Boot Tab

     
    Attachments
  • Mark C
    Mark C
    2012-10-08

    Active Now Tab

     
    Attachments
  • Jamie Cameron
    Jamie Cameron
    2012-10-08

    Wow, it looks like the output from the ifconfig command is completely different to other Linux distributions!

    Does your system have an Ethernet interface? Normally I would expect to see an interface named like eth0.

     
  • Mark C
    Mark C
    2012-10-08

    hi,

    the em1 interface is the Ethernet interface, as you have found out in Fedora 15 and later they changed the naming, but so far its only 17 that I've found this issue on (not tried 18 yet). I'm guessing that it having a different output compared to other Linux distributions is maybe not an easy fix?

     
  • Jamie Cameron
    Jamie Cameron
    2012-10-08

    I'm going to try an install of Fedora 17 and see what changes are needed to Webmin to support this new ifconfig format..

     
  • Mark C
    Mark C
    2012-10-08

    ok thanks

     
  • Jamie Cameron
    Jamie Cameron
    2012-10-15

    • status: open --> closed-fixed
     
  • Jamie Cameron
    Jamie Cameron
    2012-10-15

    FYI, the next Webmin release (1.610) will support the new ethernet naming scheme and ifconfig output format.